XML Schema API: Interface StringList

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.xs
Interface StringList

All Superinterfaces:
  java.util.Collection, java.util.List

public interface StringList
extends java.util.List

The `StringList` is an immutable ordered collection of `GenericString`.

Method Summary
`boolean` | `contains(java.lang.String item)` Checks if the `GenericString` `item` is a member of this list.
`int` | `getLength()` The number of `GenericString`s in the list.
`java.lang.String` | `item(int index)` Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list.

Methods inherited from interface java.util.List
`add, add, addAll, addAll, clear, contains, containsAll, equals, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, retainAll, set, size, subList, toArray, toArray`

Method Detail

### getLength

    public int getLength()

  The number of `GenericString`s in the list. The range of valid child object indices is 0 to `length-1` inclusive.

### contains

    public boolean contains(java.lang.String item)

  Checks if the `GenericString` `item` is a member of this list.
  Parameters:
    `item` - `GenericString` whose presence in this list is to be tested.
  Returns:
    True if this list contains the `GenericString` `item`.

### item

    public java.lang.String item(int index)

  Returns the `index`th item in the collection or `null` if `index` is greater than or equal to the number of objects in the list. The index starts at 0.
  Parameters:
    `index` - index into the collection.
  Returns:
    The `GenericString` at the `index`th position in the `StringList`, or `null` if the index specified is not valid.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.